=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRCTOP = `pwd`
DESTDIR = $(SRCTOP)/debian/tmp

INST_OWN = -o root -g root 
MAKE_DIR = install -p -d $(INST_OWN) -m 755
INST_FILE = install -c $(INST_OWN) -m 644
INST_PROG = install -c $(INST_OWN) -m 755 -s
INST_SCRIPT = install -c $(INST_OWN) -m 755

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib/clish \
				--includedir=/usr/include/clish --with-lua

override_dh_installinit:
	dh_installinit --name=konfd -pklish

override_dh_auto_install:
	dh_auto_install --destdir=$(DESTDIR)
